import Layout from '@/layout'
const systemSettingsRoutes = {
  path: '/',
  component: Layout,
  redirect: "/systemSettings",
  meta: { roles: ['system_menu'] },
  children: [
    {
      path: '/systemSettings',
      name: 'systemSettings',
      component: () => import('@/views/systemSettings/index'),
      meta: { title: '系统设置', icon: 'systemSettings', imgstyle: 'ic_setting_nav_default.png', imgstyleup: 'ic_setting_nav_check.png' },
      children: [
        {
          path: '/systemSettings',
          name: 'serviceManagement',
          component: { render(c) { return c('router-view') } },
          redirect: '/systemSettings',
          meta: { title: '服务管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png'),
          children: [
            {
              path: '/systemSettings',
              component: () => import('@/views/systemSettings/views/serviceManagement/serviceHome'),
            },
            {
              path: '/systemSettings/serviceEdit',
              name: 'serviceEdit',
              component: () => import('@/views/systemSettings/views/serviceManagement/serviceEdit'),
              meta: { title: '服务编辑' },
              hidden: false,
              isAlone: true,
              src: require('@/assets/nav/ic_setting_top@2x.png')
            },
          ]
        },
        {
          path: '/systemSettings/sourceDataItemManagement',
          name: 'sourceDataItemManagement',
          component: { render(c) { return c('router-view') } },
          redirect: '/systemSettings/sourceDataItemManagement',
          meta: { title: '源数据管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png'),
          children: [
            {
              path: '/systemSettings/sourceDataItemManagement',
              component: () => import('@/views/systemSettings/views/sourceDataItemManagement/sourceDataItemHome'),
            },
            {
              path: '/systemSettings/sourceDataItemEdit',
              name: 'sourceDataItemEdit',
              component: () => import('@/views/systemSettings/views/sourceDataItemManagement/sourceDataItemEdit'),
              meta: { title: '源数据编辑' },
              hidden: false,
              isAlone: true,
              src: require('@/assets/nav/ic_setting_top@2x.png')
            },
          ]
        },
        {
          path: '/systemSettings/targetDataManagement',
          name: 'targetDataManagement',
          component: { render(c) { return c('router-view') } },
          redirect: '/systemSettings/targetDataManagement',
          meta: { title: '目标数据管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png'),
          children: [{
            path: '/systemSettings/targetDataManagement',
            component: () => import('@/views/systemSettings/views/targetDataManagement/targetDataHome'),
          },
          {
            path: '/systemSettings/targetDataEdit',
            name: 'targetDataEdit',
            component: () => import('@/views/systemSettings/views/targetDataManagement/targetDataEdit'),
            meta: { title: '目标数据编辑' },
            hidden: false,
            isAlone: true,
            src: require('@/assets/nav/ic_setting_top@2x.png')
          },
          ]
        },
        {
          path: '/systemSettings/protocolManagement',
          name: 'protocolManagement',
          component: () => import('@/views/systemSettings/views/protocolManagement/protocolHome'),
          meta: { title: '协议管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/machineManagement',
          name: 'machineManagement',
          component: () => import('@/views/systemSettings/views/machineManagement/machineHome'),
          meta: { title: '机器维护' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/warningSet',
          name: 'warningSet',
          component: { render(c) { return c('router-view') } },
          redirect: '/systemSettings/warningSet',
          meta: { title: '报警预警设置' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png'),
          children: [{
            path: '/systemSettings/warningSet',
            component: () => import('@/views/systemSettings/views/warningSet/warningSet'),
          },
          {
            path: '/systemSettings/warningEdit',
            name: 'warningEdit',
            component: () => import('@/views/systemSettings/views/warningSet/warningEdit'),
            meta: { title: '报警预警设置' },
            hidden: false,
            isAlone: true,
            src: require('@/assets/nav/ic_setting_top@2x.png')
          },
          ]
        },

      ]
    }
  ]
}


export default [
  systemSettingsRoutes
]
